Bug 1249283 - Camera is not detected when it is plugged to PC
Camera is not detected when it is plugged to PC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kamera (Show other bugs)
22
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 05:15 EDT by HotMusicFan
Modified: 2016-02-29 17:22 EST (History)
7 users (show)

See Also:
Fixed In Version: kamera-15.08.3-2.fc22 kamera-15.12.2-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 17:22:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description HotMusicFan 2015-08-01 05:15:03 EDT
Hello! :)

I have USB camera (Canon Powershot SX280HS) and when I connect it to the laptop via USB cable it is not detected. There isn't notification that a device is plugged and it is not being listed in Dolphin's side panel in the Devices section.
All I can do is to remove the SD card from the camera and to put it in the laptop to access my photos.
Comment 1 George Avrunin 2015-11-14 12:44:52 EST
I have a Canon SL1 (also known as 100D) camera and am seeing the same problem.  The camera was recognized (as a PTP device) on F21, but not on F22 or F23. (I normally run KDE.) I see messages like this in /var/log/messages:

Nov 11 11:17:01 g kernel: usb 4-1.4.1: new high-speed USB device number 9
using ehci-pci Nov 11 11:17:02 g kernel: usb 4-1.4.1: New USB device
found, idVendor=04a9, idProduct=3270 
Nov 11 11:17:02 g kernel: usb
4-1.4.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0 Nov 11
11:17:02 g kernel: usb 4-1.4.1: Product: Canon Digital Camera 
Nov 11 11:17:02 g kernel: usb 4-1.4.1: Manufacturer: Canon Inc. 
Nov 11 11:17:02 g mtp-probe: checking bus 4, device 9:
"/sys/devices/pci0000:00/0000:00:1d.0/usb4/4-1/4-1.4/4-1.4.1" 
Nov 11 11:17:02 g mtp-probe: bus: 4, device: 9 was not an MTP device

Following an Ubuntu bug report for Dolphin (https://bugs.launchpad.net/ubuntu/+source/dolphin/+bug/1256591/comments/61) that Ian Malone pointed out in a discussion on the Fedora users mailing list, I tried running "kioclient ls 'camera:/'", which does seem to detect the model number: the output is "Canon%20EOS%20100D@usb:004,018", but it doesn't seem to get Dolphin to notice the device, or to make it accessible any other way.  (Including doing a kdeinit4 in a konsole, as suggested in the bug discussion.)

I have, following various people's suggestions, also tried in Gnome and XFCE, with no better results.  And the same thing happens with an old Canon Powershot G9, which is the only other camera with a USB connection I have at hand right now. 

I also ran /lib/udev/check-ptp-camera, which comes from the libghoto2 rpm.  The return code is 1, which seems to indicate that it couldn't find any PTP interface.
Comment 2 HotMusicFan 2015-11-14 17:31:25 EST
So as you are tried in GNOME or XFCE it seems that this issue is not related to the graphical DE at all?
Comment 3 Fedora Update System 2016-02-05 09:35:44 EST
kamera-15.08.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9aff252bf6
Comment 4 Rex Dieter 2016-02-05 10:39:04 EST
the packaging improvement here only added solid/action support, so that the devices applet will offer actions when cameras are connected.  

That assumes, of course, that it actually gets detected properly (by libghoto2) of course.
Comment 5 Fedora Update System 2016-02-05 17:52:50 EST
kamera-15.08.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9aff252bf6
Comment 6 Fedora Update System 2016-02-19 18:11:02 EST
kamera-15.12.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c029f22228
Comment 7 Fedora Update System 2016-02-19 18:11:48 EST
kamera-15.12.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-15ae43e176
Comment 8 Fedora Update System 2016-02-20 21:24:21 EST
kamera-15.08.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-21 12:58:39 EST
kamera-15.12.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c029f22228
Comment 10 Fedora Update System 2016-02-21 13:27:46 EST
kamera-15.12.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-15ae43e176
Comment 11 Fedora Update System 2016-02-29 17:20:26 EST
kamera-15.12.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-02-29 17:22:27 EST
kamera-15.12.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.